ur_rna.Utilities

## Enum OSInfo.OSType

- java.lang.Object
- - java.lang.Enum<OSInfo.OSType>
  - - ur_rna.Utilities.OSInfo.OSType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OSInfo.OSType>
  Enclosing class:
    OSInfo

      public static enum OSInfo.OSType
      extends java.lang.Enum<OSInfo.OSType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LINUX`
    `MACOSX`
    `SOLARIS`
    `UNKNOWN`
    `WINDOWS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OSInfo.OSType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OSInfo.OSType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LINUX

          public static final OSInfo.OSType LINUX

    - #### MACOSX

          public static final OSInfo.OSType MACOSX

    - #### SOLARIS

          public static final OSInfo.OSType SOLARIS

    - #### UNKNOWN

          public static final OSInfo.OSType UNKNOWN

    - #### WINDOWS

          public static final OSInfo.OSType WINDOWS

  - ### Method Detail

    - #### valueOf

          public static OSInfo.OSType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static OSInfo.OSType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OSInfo.OSType c : OSInfo.OSType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared